<?php
/*
Plugin Name: XML-RPC Options Extender
Plugin URI: http://sezz.at/projects/wordpress/xml-rpc-options-extender
Description: Enables XML RPC clients to access more options.
Version: 1.0
Author: Martin Karer
Author URI: http://sezz.at/
*/

function xmlrpc_blog_options_extend($options){

	$options['currenttrack_cover'] = array(
		'desc' => '',
		'readonly' => false,
		'option' => 'sezz_red_listeningto_cover');

	$options['currenttrack_title'] = array(
		'desc' => '',
		'readonly' => false,
		'option' => 'sezz_red_listeningto_title');

	$options['currenttrack_url'] = array(
		'desc' => '',
		'readonly' => false,
		'option' => 'sezz_red_listeningto_link');

	return $options;

}

add_filter('xmlrpc_blog_options','xmlrpc_blog_options_extend');

?>